aboutsummaryrefslogtreecommitdiff
path: root/test/bin
diff options
context:
space:
mode:
Diffstat (limited to 'test/bin')
-rwxr-xr-xtest/bin9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/bin b/test/bin
new file mode 100755
index 00000000..c514495a
--- /dev/null
+++ b/test/bin
@@ -0,0 +1,9 @@
+#!/bin/sh
+for bin in bin/* ; do
+ if sed 1q "$bin" | grep -q 'bash$' ; then
+ bash -n "$bin" || exit 1
+ elif sed 1q "$bin" | grep -q 'sh$' ; then
+ sh -n "$bin" || exit 1
+ fi
+done
+printf 'All shell scripts in bin parsed successfully.\n'